#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]) {

   unsigned int a = 80;	/* 80 = 0101 0000 */  
   unsigned int b = 55;	/* 55 = 0011 0111 */
   int apot = 0;

   apot = a & b;        /* 16 = 0001 0000 */ 
   printf("a & b is %d\n", apot );

   apot = a | b;       /* 119 = 0111 0111 */
   printf("a | b is %d\n", apot );

   apot = a ^ b;       /* 103 = 0110 0111 */
   printf("a ^ b is %d\n", apot );

   printf("\na = %d\n",a);
   apot = ~a;          /*-81 = (1)1010 1111 */
   printf("~a is %d\n", apot );

   apot = a << 2;     /* 320 = 0001 0100 0000 */
   printf("a << 2 is %d\n", apot );

   apot = a >> 2;     /*  20 =  0001 0100 */
   printf("a >> 2 is %d\n", apot );
   
   return 0;
}



int main2(int argc, char *argv[]) {

  int x = 3200;
  printf("x / 2 = %d\n",   x >> 1);
  printf("x / 4 = %d\n",   x >> 2);
  printf("x / 8 = %d\n\n", x >> 3);
  
  x = 5; 
  printf("x * 2 = %d\n", x << 1);
  printf("x * 4 = %d\n", x << 2);
  printf("x * 8 = %d\n", x << 3);

  return 0;
}



#define SHADOW 128
#define LOWER  32 
#define ITALIC 2

int main1(int argc, char *argv[]) {
   unsigned int efe = 0;
   // add effect SHADOW
   efe = SHADOW;     //equivalent efe = efe | SHADOW; 
   
   // add effect italic
   efe = efe | ITALIC;
   printf("Combination of effects %d\n", efe);
   
   // contains effect italic?
   int apot = efe & ITALIC;
   printf("The text has effect italic  %d\n", apot);
   
   // contains effect lower?
   apot = efe & LOWER;
   printf("The text has effect lower  %d\n", apot);
   
   // remove effect italic
   efe = efe ^ ITALIC;	
   printf("Combination of effects %d\n", efe);	
   return 0;
}



